+++
date = "2018-11-14"
weight = 100

title = "18.12 TestReports 20181108 OSTree"
+++

Testing results considerations:

1.  These tests use OSTree images.
2.  Manual test cases were executed on target Arm, target AMD64 and SDK
    AMD64 images when applicable.
3.  All automated test cases already integrated into LAVA system were
    executed on the following images: target Arm, target AMD64,
    development AMD64, and SDK AMD64.
4.  Failures and partial failures were filed as bugs in Phabricator for
    further investigation and analysis.

-----

The platform image used for these tests are:

  - [Minimal Arm64
    (20181108)](https://images.apertis.org/daily/18.12/20181108.0/arm64/minimal/apertis_ostree_18.12-minimal-arm64-uboot_20181108.0.img.gz)
  - [Minimal AMD64
    (20181108)](https://images.apertis.org/daily/18.12/20181108.0/amd64/minimal/apertis_ostree_18.12-minimal-amd64-uefi_20181108.0.img.gz)
  - [Target AMD64
    (20181108)](https://images.apertis.org/daily/18.12/20181108.0/amd64/target/apertis_ostree_18.12-target-amd64-uefi_20181108.0.img.gz)

| ID                                                                                                                              | Description                                                                                                                                                                                                                                                                                                | Type           | Minimal Arm | Minimal SabreLite | Minimal Arm64 | Minimal AMD64 | Target Arm | Target AMD64 | SDK AMD64 | Tested By           | Notes                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    |
| ------------------------------------------------------------------------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | -------------- | ----------- | ----------------- | ------------- | ------------- | ---------- | ------------ | --------- | ------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| **Sanity**                                                                                                                      |                                                                                                                                                                                                                                                                                                            |                |             |                   |               |               |            |              |           |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| [sanity-check](https://wiki.apertis.org/QA/Test%20Cases/sanity-check)                                                           | Check that the Apertis system basically works. (manual)                                                                                                                                                                                                                                                    | Not Integrated | PASSED      | PASSED            | NOT TESTED    | PASSED        | PASSED     | PASSED       | N/A       | sagar               |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| [sanity-check](https://wiki.apertis.org/QA/Test%20Cases/sanity-check)                                                           | Check that the Apertis system basically works. (automated)                                                                                                                                                                                                                                                 | Integrated     | PASSED      | PASSED            | PASSED        | PASSED        | PASSED     | PASSED       | N/A       | andrewsh            | [1](https://lava.collabora.co.uk/scheduler/job/1341022) [2](https://lava.collabora.co.uk/scheduler/job/1341022) [3](https://lava.collabora.co.uk/scheduler/job/1341024) [4](https://lava.collabora.co.uk/scheduler/job/1341024) [5](https://lava.collabora.co.uk/scheduler/job/1341151) [6](https://lava.collabora.co.uk/scheduler/job/1341151) [7](https://lava.collabora.co.uk/scheduler/job/1341123) [8](https://lava.collabora.co.uk/scheduler/job/1341123) [9](https://lava.collabora.co.uk/scheduler/job/1341124) [10](https://lava.collabora.co.uk/scheduler/job/1341124) [11](https://lava.collabora.co.uk/scheduler/job/1341125) [12](https://lava.collabora.co.uk/scheduler/job/1341159) [13](https://lava.collabora.co.uk/scheduler/job/1341159) [14](https://lava.collabora.co.uk/scheduler/job/1341160) [15](https://lava.collabora.co.uk/scheduler/job/1341160) [16](https://lava.collabora.co.uk/scheduler/job/1341161) [17](https://lava.collabora.co.uk/scheduler/job/1341116) [18](https://lava.collabora.co.uk/scheduler/job/1341116) |
| **Booting**                                                                                                                     |                                                                                                                                                                                                                                                                                                            |                |             |                   |               |               |            |              |           |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| [image-bootable](https://wiki.apertis.org/QA/Test%20Cases/image-bootable)                                                       | Test whether the image is bootable.                                                                                                                                                                                                                                                                        | Not Integrated | PASSED      | PASSED            | NOT TESTED    | PASSED        | PASSED     | PASSED       | N/A       | sagar               |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| [image-gui-start](https://wiki.apertis.org/QA/Test%20Cases/image-gui-start)                                                     | Test whether the image starts a graphical environment.                                                                                                                                                                                                                                                     | Not Integrated | N/A         | N/A               | N/A           | N/A           | PASSED     | PASSED       | N/A       | sagar               |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| **HW Acceleration**                                                                                                             |                                                                                                                                                                                                                                                                                                            |                |             |                   |               |               |            |              |           |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| [x-hw-accelerated](https://wiki.apertis.org/QA/Test%20Cases/x-hw-accelerated)                                                   | Test whether the correct GLES2 render is used.                                                                                                                                                                                                                                                             | Not Integrated | N/A         | N/A               | N/A           | N/A           | N/A        | N/A          | N/A       |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| **GStreamer**                                                                                                                   |                                                                                                                                                                                                                                                                                                            |                |             |                   |               |               |            |              |           |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| [gstreamer1.0-decode](https://wiki.apertis.org/QA/Test%20Cases/gstreamer1.0-decode)                                             | Test video and audio decoders and demuxers on a list of media.                                                                                                                                                                                                                                             | Integrated     | N/A         | N/A               | N/A           | N/A           | PASSED     | PASSED       | N/A       | andrewsh            | [19](https://lava.collabora.co.uk/scheduler/job/1341123) [20](https://lava.collabora.co.uk/scheduler/job/1341159)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| **Multitouch**                                                                                                                  |                                                                                                                                                                                                                                                                                                            |                |             |                   |               |               |            |              |           |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| [webkit2gtk-mt-touch-events](https://wiki.apertis.org/QA/Test%20Cases/webkit2gtk-mt-touch-events)                               | Test implementation of W3C touch events API in WebKit2GTK.                                                                                                                                                                                                                                                 | Not Integrated | N/A         | N/A               | N/A           | N/A           | NOT TESTED | NOT TESTED   | N/A       |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| **WebKit**                                                                                                                      |                                                                                                                                                                                                                                                                                                            |                |             |                   |               |               |            |              |           |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| [webkit2gtk-actor-tiles](https://wiki.apertis.org/QA/Test%20Cases/webkit2gtk-actor-tiles)                                       | Test implementation of actor-based tiled backing store in webkit2GTK.                                                                                                                                                                                                                                      | Not Integrated | N/A         | N/A               | N/A           | N/A           | NOT TESTED | NOT TESTED   | N/A       |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| [webkit2gtk-event-handling-redesign](https://wiki.apertis.org/QA/Test%20Cases/webkit2gtk-event-handling-redesign)               | Test WebKit2Gtk ability to scroll by touch with inertial behaviour after the touch ended.                                                                                                                                                                                                                  | Not Integrated | N/A         | N/A               | N/A           | N/A           | NOT TESTED | NOT TESTED   | N/A       |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| **Webkit2GTK-AC**                                                                                                               |                                                                                                                                                                                                                                                                                                            |                |             |                   |               |               |            |              |           |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| [webkit2gtk-ac-3d-rendering](https://wiki.apertis.org/QA/Test%20Cases/webkit2gtk-ac-3d-rendering)                               | Test that 3D transforms are applied correctly.                                                                                                                                                                                                                                                             | Not Integrated | N/A         | N/A               | N/A           | N/A           | NOT TESTED | NOT TESTED   | N/A       |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| [webkit2gtk-ac-animations](https://wiki.apertis.org/QA/Test%20Cases/webkit2gtk-ac-animations)                                   | Test that Webkit2GTK actors created for representing layers animate properly.                                                                                                                                                                                                                              | Not Integrated | N/A         | N/A               | N/A           | N/A           | NOT TESTED | NOT TESTED   | N/A       |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| [webkit2gtk-ac-scrolling](https://wiki.apertis.org/QA/Test%20Cases/webkit2gtk-ac-scrolling)                                     | Test that actors created for representing layers scroll properly.                                                                                                                                                                                                                                          | Not Integrated | N/A         | N/A               | N/A           | N/A           | NOT TESTED | NOT TESTED   | N/A       |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| **Gettext**                                                                                                                     |                                                                                                                                                                                                                                                                                                            |                |             |                   |               |               |            |              |           |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| [gettext-i18n](https://wiki.apertis.org/QA/Test%20Cases/gettext-i18n)                                                           | Check that gettext internationalization works.                                                                                                                                                                                                                                                             | Integrated     | N/A         | N/A               | N/A           | N/A           | PASSED     | PASSED       | N/A       | bgcolor= | andrewsh | bgcolor= | [21](https://lava.collabora.co.uk/scheduler/job/1341123) [22](https://lava.collabora.co.uk/scheduler/job/1341159)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             |
| **Meta Data Management**                                                                                                        |                                                                                                                                                                                                                                                                                                            |                |             |                   |               |               |            |              |           |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| [gupnp-services](https://wiki.apertis.org/QA/Test%20Cases/gupnp-services)                                                       | Run a few tests related to service browsing, introspection, etc.                                                                                                                                                                                                                                           | Integrated     | PASSED      | PASSED            | PASSED        | PASSED        | PASSED     | PASSED       | N/A       | andrewsh            | [23](https://lava.collabora.co.uk/scheduler/job/1332748) [24](https://lava.collabora.co.uk/scheduler/job/1341022) [25](https://lava.collabora.co.uk/scheduler/job/1341024) [26](https://lava.collabora.co.uk/scheduler/job/1341151) [27](https://lava.collabora.co.uk/scheduler/job/1341123) [28](https://lava.collabora.co.uk/scheduler/job/1341159) [29](https://lava.collabora.co.uk/scheduler/job/1341116)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           |
| [libsoup-unit](https://wiki.apertis.org/QA/Test%20Cases/libsoup-unit)                                                           | Run the unit tests that ship with the library against the running system.                                                                                                                                                                                                                                  | Integrated     | NOT TESTED  | NOT TESTED        | NOT TESTED    | NOT TESTED    | NOT TESTED | NOT TESTED   | N/A       |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| [tracker-indexing-local-storage](https://wiki.apertis.org/QA/Test%20Cases/tracker-indexing-local-storage)                       | Check tracker indexing of local storage and journal behaviour.                                                                                                                                                                                                                                             | Integrated     | NOT TESTED  | NOT TESTED        | NOT TESTED    | NOT TESTED    | NOT TESTED | NOT TESTED   | N/A       |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| [tracker-indexing-mass-storage](https://wiki.apertis.org/QA/Test%20Cases/tracker-indexing-mass-storage)                         | Check tracker indexes mass storage devices on insertion.                                                                                                                                                                                                                                                   | Not Integrated | N/A         | N/A               | N/A           | N/A           | NOT TESTED | NOT TESTED   | N/A       |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| [tumbler-thumbnailing](https://wiki.apertis.org/QA/Test%20Cases/tumbler-thumbnailing)                                           | Check that all thumbnailing features of tumbler are working properly (large, small, videos, documents, images).                                                                                                                                                                                            | Integrated     | NOT TESTED  | NOT TESTED        | NOT TESTED    | NOT TESTED    | NOT TESTED | NOT TESTED   | N/A       |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| **Grilo**                                                                                                                       |                                                                                                                                                                                                                                                                                                            |                |             |                   |               |               |            |              |           |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| [grilo](https://wiki.apertis.org/QA/Test%20Cases/grilo)                                                                         | Check grilo metadata notifications, and filesystem browsing.                                                                                                                                                                                                                                               | Integrated     | NOT TESTED  | NOT TESTED        | NOT TESTED    | NOT TESTED    | NOT TESTED | NOT TESTED   | N/A       |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| **D-Bus**                                                                                                                       |                                                                                                                                                                                                                                                                                                            |                |             |                   |               |               |            |              |           |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| [check-dbus-services](https://wiki.apertis.org/QA/Test_Cases/check-dbus-services)                                               | Check that all activatable D-Bus services use systemd, and that they can be started.                                                                                                                                                                                                                       | Integrated     | PARTIAL     | PARTIAL           | PARTIAL       | PARTIAL       | PARTIAL    | PARTIAL      | N/A       | andrewsh            | [30](https://lava.collabora.co.uk/scheduler/job/1341022) [31](https://lava.collabora.co.uk/scheduler/job/1341024) [32](https://lava.collabora.co.uk/scheduler/job/1341151) [33](https://lava.collabora.co.uk/scheduler/job/1341123) [34](https://lava.collabora.co.uk/scheduler/job/1341159) [35](https://lava.collabora.co.uk/scheduler/job/1341116)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    |
| [dbus-dos-reply-time](https://wiki.apertis.org/QA/Test%20Cases/dbus-dos-reply-time)                                             | Check the reply time of a few D-Bus method calls while dbus-daemon is loaded by D-Bus traffic.                                                                                                                                                                                                             | Integrated     | bgcolor= |  | bgcolor= |        | bgcolor= |    | bgcolor= |    | PASSED     | PASSED       | N/A       | andrewsh            | [36](https://lava.collabora.co.uk/scheduler/job/1341123) [37](https://lava.collabora.co.uk/scheduler/job/1341159)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| **Library modules**                                                                                                             |                                                                                                                                                                                                                                                                                                            |                |             |                   |               |               |            |              |           |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| [canterbury](https://wiki.apertis.org/QA/Test%20Cases/library-modules)                                                          | Run the automated test for the library: canterbury                                                                                                                                                                                                                                                         | Integrated     | N/A         | N/A               | N/A           | N/A           | PASSED     | PASSED       | N/A       | andrewsh            | [38](https://lava.collabora.co.uk/scheduler/job/1341124) [39](https://lava.collabora.co.uk/scheduler/job/1341160)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| [didcot](https://wiki.apertis.org/QA/Test%20Cases/library-modules)                                                              | Run the automated test for the library: didcot                                                                                                                                                                                                                                                             | Integrated     | N/A         | N/A               | N/A           | N/A           | NOT TESTED | NOT TESTED   | N/A       |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| [frome](https://wiki.apertis.org/QA/Test%20Cases/library-modules)                                                               | Run the automated test for the library: frome                                                                                                                                                                                                                                                              | Integrated     | N/A         | N/A               | N/A           | N/A           | NOT TESTED | NOT TESTED   | N/A       |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| [newport](https://wiki.apertis.org/QA/Test%20Cases/library-modules)                                                             | Run the automated test for the library: newport                                                                                                                                                                                                                                                            | Integrated     | N/A         | N/A               | N/A           | N/A           | NOT TESTED | NOT TESTED   | N/A       |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| [ribchester](https://wiki.apertis.org/QA/Test%20Cases/library-modules)                                                          | Run the automated test for the library: ribchester                                                                                                                                                                                                                                                         | Integrated     | N/A         | N/A               | N/A           | N/A           | NOT TESTED | NOT TESTED   | N/A       |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| [rhosydd](https://wiki.apertis.org/QA/Test%20Cases/library-modules)                                                             | Run the automated test for the library: rhosydd                                                                                                                                                                                                                                                            | Integrated     | N/A         | N/A               | N/A           | N/A           | NOT TESTED | NOT TESTED   | N/A       |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| [traprain](https://wiki.apertis.org/QA/Test%20Cases/library-modules)                                                            | Run the automated test for the library: traprain                                                                                                                                                                                                                                                           | Integrated     | N/A         | N/A               | N/A           | N/A           | NOT TESTED | NOT TESTED   | N/A       |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| **Networking**                                                                                                                  |                                                                                                                                                                                                                                                                                                            |                |             |                   |               |               |            |              |           |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| [bluez-avrcp-volume](https://wiki.apertis.org/QA/Test%20Cases/bluez-avrcp-volume)                                               | Test the AVRCP volume up and down commands.                                                                                                                                                                                                                                                                | Not Integrated | N/A         | N/A               | N/A           | N/A           | NOT TESTED | NOT TESTED   | N/A       |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| [bluez-phone](https://wiki.apertis.org/QA/Test%20Cases/bluez-phone)                                                             | Test all BlueZ features needing interaction with a phone (Pairing, OBEX, PBAP, AVRCP, A2DP, HSP, HFP, PAN).                                                                                                                                                                                                | Not Integrated | N/A         | N/A               | N/A           | N/A           | PARTIAL    | PASSED       | N/A       | sagar               |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| [bluez-setup](https://wiki.apertis.org/QA/Test%20Cases/bluez-setup)                                                             | Test setup of Bluetooth stack by running basic tests using hciconfig. Check if the interface can be brought up/down, can be changed of mode and can discover devices.                                                                                                                                      | Not Integrated | N/A         | N/A               | N/A           | N/A           | PASSED     | PASSED       | N/A       | sagar               |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| [connman](https://wiki.apertis.org/QA/Test%20Cases/connman)                                                                     | Runs some automated tests using the ConnMan D-Bus API. It guarantees most of the basic features are working.                                                                                                                                                                                               | Integrated     | PASSED      | PASSED            | PASSED        | PASSED        | PASSED     | PASSED       | N/A       | andrewsh            | [40](https://lava.collabora.co.uk/scheduler/job/1341022) [41](https://lava.collabora.co.uk/scheduler/job/1341024) [42](https://lava.collabora.co.uk/scheduler/job/1341151) [43](https://lava.collabora.co.uk/scheduler/job/1341123) [44](https://lava.collabora.co.uk/scheduler/job/1341159) [45](https://lava.collabora.co.uk/scheduler/job/1341116)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    |
| [connman-new-supplicant](https://wiki.apertis.org/QA/Test%20Cases/connman-new-supplicant)                                       | Test the wpa_supplicant interface.                                                                                                                                                                                                                                                                        | Integrated     | PASSED      | PASSED            | PASSED        | PASSED        | PASSED     | PASSED       | N/A       | andrewsh            | [46](https://lava.collabora.co.uk/scheduler/job/1341022) [47](https://lava.collabora.co.uk/scheduler/job/1341024) [48](https://lava.collabora.co.uk/scheduler/job/1341151) [49](https://lava.collabora.co.uk/scheduler/job/1341123) [50](https://lava.collabora.co.uk/scheduler/job/1341159) [51](https://lava.collabora.co.uk/scheduler/job/1341116)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    |
| [connman-pan-tethering](https://wiki.apertis.org/QA/Test%20Cases/connman-pan-tethering)                                         | Test ConnMan support for PAN connectivity.                                                                                                                                                                                                                                                                 | Not Integrated | N/A         | N/A               | N/A           | N/A           | NOT TESTED | NOT TESTED   | N/A       |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| [connman-pan-network-access](https://wiki.apertis.org/QA/Test%20Cases/connman-pan-network-access)                               | Test ConnMan support for bluetooth PAN Network Access Profile.                                                                                                                                                                                                                                             | Not Integrated | N/A         | N/A               | N/A           | N/A           | NOT TESTED | NOT TESTED   | N/A       |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| [connman-services](https://wiki.apertis.org/QA/Test%20Cases/connman-services)                                                   | Tests ConnMan services.                                                                                                                                                                                                                                                                                    | Not Integrated | N/A         | N/A               | N/A           | N/A           | PASSED     | PASSED       | N/A       | sagar               |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| [connman-usb-tethering](https://wiki.apertis.org/QA/Test%20Cases/connman-usb-tethering)                                         | Test ConnMan support for USB tethering (connection side).                                                                                                                                                                                                                                                  | Not Integrated | N/A         | N/A               | N/A           | N/A           | NOT TESTED | NOT TESTED   | N/A       |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| [ofono-sms-receive](https://wiki.apertis.org/QA/Test%20Cases/ofono-sms-receive)                                                 | Test receiving SMS messages with oFono.                                                                                                                                                                                                                                                                    | Not Integrated | N/A         | N/A               | N/A           | N/A           | NOT TESTED | NOT TESTED   | N/A       |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| [ofono-sms-send](https://wiki.apertis.org/QA/Test%20Cases/ofono-sms-send)                                                       | Test sending of SMS with oFono.                                                                                                                                                                                                                                                                            | Not Integrated | N/A         | N/A               | N/A           | N/A           | NOT TESTED | NOT TESTED   | N/A       |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| **Folks**                                                                                                                       |                                                                                                                                                                                                                                                                                                            |                |             |                   |               |               |            |              |           |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| [folks-alias-persistence](https://wiki.apertis.org/QA/Test%20Cases/folks-alias-persistence)                                     | Ensures user-set contact aliases persist.                                                                                                                                                                                                                                                                  | Integrated     | N/A         | N/A               | N/A           | N/A           | NOT TESTED | NOT TESTED   | N/A       |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| [folks-eds-compatibility](https://wiki.apertis.org/QA/Test%20Cases/folks-eds-compatibility)                                     | Checks that contacts created within Evolution Data Server (as will happen when phone contacts get synchronized to an Apertis machine) show up in other contact-based programs.                                                                                                                             | Integrated     | N/A         | N/A               | N/A           | N/A           | NOT TESTED | NOT TESTED   | N/A       |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| [folks-metacontacts-linking](https://wiki.apertis.org/QA/Test%20Cases/folks-metacontacts-linking)                               | Ensures linking meta-contacts works properly.                                                                                                                                                                                                                                                              | Integrated     | N/A         | N/A               | N/A           | N/A           | NOT TESTED | NOT TESTED   | N/A       |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| [folks-metacontacts-unlinking](https://wiki.apertis.org/QA/Test%20Cases/folks-metacontacts-unlinking)                           | Ensures unlinking meta-contacts works properly.                                                                                                                                                                                                                                                            | Integrated     | N/A         | N/A               | N/A           | N/A           | NOT TESTED | NOT TESTED   | N/A       |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| **SDK Development**                                                                                                             |                                                                                                                                                                                                                                                                                                            |                |             |                   |               |               |            |              |           |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| [sdk-ide-build-run-program](https://wiki.apertis.org/QA/Test%20Cases/sdk-ide-build-run-program)                                 | Creates a simple test project and confirms that compiling and executing work.                                                                                                                                                                                                                              | Not Integrated | N/A         | N/A               | N/A           | N/A           | N/A        | N/A          | N/A       |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| **Apparmor Basic**                                                                                                              |                                                                                                                                                                                                                                                                                                            |                |             |                   |               |               |            |              |           |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| [apparmor-basic-profiles](https://wiki.apertis.org/QA/Test%20Cases/apparmor-basic-profiles)                                     | Test basic apparmor profiles. Only parsing and syntax of profiles are tested for now.                                                                                                                                                                                                                      | Integrated     | bgcolor= |  | bgcolor= |        | bgcolor= |    | bgcolor= |    | PASSED     | PASSED       | N/A       | andrewsh            | [52](https://lava.collabora.co.uk/scheduler/job/1341125) [53](https://lava.collabora.co.uk/scheduler/job/1341161)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| **CGroups**                                                                                                                     |                                                                                                                                                                                                                                                                                                            |                |             |                   |               |               |            |              |           |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| [cgroups-resource-control](https://wiki.apertis.org/QA/Test%20Cases/cgroups-resource-control)                                   | Run cgroup resource control tests                                                                                                                                                                                                                                                                          | Integrated     | bgcolor= |  | bgcolor= |        | bgcolor= |    | bgcolor= |    | PARTIAL    | PARTIAL      | N/A       | andrewsh            | [54](https://lava.collabora.co.uk/scheduler/job/1341123) [55](https://lava.collabora.co.uk/scheduler/job/1341159)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| **SDK**                                                                                                                         |                                                                                                                                                                                                                                                                                                            |                |             |                   |               |               |            |              |           |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| [sdk-performance-tools-gprof-smoke-test](https://wiki.apertis.org/QA/Test%20Cases/sdk-performance-tools-gprof-smoke-test)       | Checks basic gprof functionality by ensuring a CPU-intensive program shows up in its log as consuming the vast majority of the CPU cycles.                                                                                                                                                                 | Integrated     | N/A         | N/A               | N/A           | N/A           | N/A        | N/A          | N/A       |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| [sdk-performance-tools-sysprof-smoke-test](https://wiki.apertis.org/QA/Test%20Cases/sdk-performance-tools-sysprof-smoke-test)   | Checks basic sysprof functionality by ensuring a CPU-intensive program shows up in its log as consuming the vast majority of the CPU cycles.                                                                                                                                                               | Integrated     | N/A         | N/A               | N/A           | N/A           | N/A        | N/A          | N/A       |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| [sdk-debug-tools-gdb-smoke-test](https://wiki.apertis.org/QA/Test%20Cases/sdk-debug-tools-gdb-smoke-test)                       | Checks basic gdb functionality by stopping a program at a set point and checking its backtrace matches expectations.                                                                                                                                                                                       | Integrated     | N/A         | N/A               | N/A           | N/A           | N/A        | N/A          | N/A       |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| [sdk-debug-tools-strace-smoke-test](https://wiki.apertis.org/QA/Test%20Cases/sdk-debug-tools-strace-smoke-test)                 | Checks basic strace functionality by checking its output when run on a simple command line program.                                                                                                                                                                                                        | Integrated     | N/A         | N/A               | N/A           | N/A           | N/A        | N/A          | N/A       |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| [sdk-debug-tools-valgrind-smoke-test](https://wiki.apertis.org/QA/Test%20Cases/sdk-debug-tools-valgrind-smoke-test)             | Checks basic valgrind functionality by running a program with and without memory leaks, ensuring expected results from valgrind.                                                                                                                                                                           | Integrated     | N/A         | N/A               | N/A           | N/A           | N/A        | N/A          | N/A       |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| [sdk-dbus-tools-bustle-smoke-test](https://wiki.apertis.org/QA/Test%20Cases/sdk-dbus-tools-bustle-smoke-test)                   | Test that bustle-dbus-monitor shows services on the session bus.                                                                                                                                                                                                                                           | Not Integrated | N/A         | N/A               | N/A           | N/A           | N/A        | N/A          | N/A       |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| [sdk-dbus-tools-d-feet-smoke-test](https://wiki.apertis.org/QA/Test%20Cases/sdk-dbus-tools-d-feet-smoke-test)                   | Test that D-Feet both shows services on the session bus and that new services appear automatically.                                                                                                                                                                                                        | Not Integrated | N/A         | N/A               | N/A           | N/A           | N/A        | N/A          | N/A       |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| [sdk-code-analysis-tools-gcov-smoke-test](https://wiki.apertis.org/QA/Test%20Cases/sdk-code-analysis-tools-gcov-smoke-test)     | Checks basic gcov functionality by running a sample program a few different ways and ensuring that a sufficient portion of its code paths are executed                                                                                                                                                     | Integrated     | N/A         | N/A               | N/A           | N/A           | N/A        | N/A          | N/A       |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| [sdk-code-analysis-tools-splint-smoke-test](https://wiki.apertis.org/QA/Test%20Cases/sdk-code-analysis-tools-splint-smoke-test) | Checks basic splint functionality by checking its output when run on a simple source file.                                                                                                                                                                                                                 | Integrated     | N/A         | N/A               | N/A           | N/A           | N/A        | N/A          | N/A       |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| [sdk-vb-fullscreen](https://wiki.apertis.org/QA/Test%20Cases/sdk-vb-fullscreen)                                                 | Tests that the SDK VM can be fullscreened in VirtualBox                                                                                                                                                                                                                                                    | Not Integrated | N/A         | N/A               | N/A           | N/A           | N/A        | N/A          | N/A       |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| **Eclipse**                                                                                                                     |                                                                                                                                                                                                                                                                                                            |                |             |                   |               |               |            |              |           |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| [eclipse-sysroot-management](https://wiki.apertis.org/QA/Test%20Cases/eclipse-plugins)                                          | Test sysroot management and update within Eclipse. It will go through configuring an existing sysroot in Eclipse, and then updating it from the web with the latest version.                                                                                                                               | Not Integrated | N/A         | N/A               | N/A           | N/A           | N/A        | N/A          | N/A       |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| [eclipse-install-to-target](https://wiki.apertis.org/QA/Test%20Cases/eclipse-plugins-install-to-target)                         | Test copying files to the remote device from within Eclipse. It will create a dummy project and then create a configuration to copy the binary file to a remote device and debug it remotely using Eclipse.                                                                                                | Not Integrated | N/A         | N/A               | N/A           | N/A           | N/A        | N/A          | N/A       |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| [eclipse-remote-debugging](https://wiki.apertis.org/QA/Test%20Cases/eclipse-plugins-remote-debugging)                           | Test remote debugging within Eclipse. It will create a dummy project and then create a configuration to copy the binary file to a remote device and debug it remotely using Eclipse.                                                                                                                       | Not Integrated | N/A         | N/A               | N/A           | N/A           | N/A        | N/A          | N/A       |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| **Contacts**                                                                                                                    |                                                                                                                                                                                                                                                                                                            |                |             |                   |               |               |            |              |           |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| [evolution-sync-bluetooth](https://wiki.apertis.org/QA/Test%20Cases/evolution-sync-bluetooth)                                   | Synchronizing Bluetooth-paired phone contacts to Evolution.                                                                                                                                                                                                                                                | Not Integrated | N/A         | N/A               | N/A           | N/A           | NOT TESTED | NOT TESTED   | N/A       |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| [folks-metacontacts-antilinking](https://wiki.apertis.org/QA/Test%20Cases/folks-metacontacts-antilinking)                       | Ensures anti-linking meta-contacts works properly.                                                                                                                                                                                                                                                         | Integrated     | N/A         | N/A               | N/A           | N/A           | NOT TESTED | NOT TESTED   | N/A       |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| **Connectivity**                                                                                                                |                                                                                                                                                                                                                                                                                                            |                |             |                   |               |               |            |              |           |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| [bluez-hfp](https://wiki.apertis.org/QA/Test%20Cases/bluez-hfp)                                                                 | Test Hands Free Profile (HFP) BlueZ feature.                                                                                                                                                                                                                                                               | Not Integrated | N/A         | N/A               | N/A           | N/A           | NOT TESTED | NOT TESTED   | N/A       |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| [rfkill-toggle](https://wiki.apertis.org/QA/Test%20Cases/rfkill-toggle)                                                         | Test that rfkill is functional.                                                                                                                                                                                                                                                                            | Not Integrated | N/A         | N/A               | N/A           | N/A           | NOT TESTED | NOT TESTED   | N/A       |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| [telepathy-ring](https://wiki.apertis.org/QA/Test%20Cases/telepathy-ring)                                                       | Support making and receiving phone calls in Telepathy manually, with a bluetooth-paired phone.                                                                                                                                                                                                             | Not Integrated | N/A         | N/A               | N/A           | N/A           | NOT TESTED | NOT TESTED   | N/A       |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| [telepathy-ring-automated](https://wiki.apertis.org/QA/Test%20Cases/telepathy-ring-automated)                                   | Support making and receiving phone calls in Telepathy.                                                                                                                                                                                                                                                     | Integrated     | N/A         | N/A               | N/A           | N/A           | N/A        | N/A          | N/A       |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| **Contacts**                                                                                                                    |                                                                                                                                                                                                                                                                                                            |                |             |                   |               |               |            |              |           |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| [folks-ofono-backend](https://wiki.apertis.org/QA/Test%20Cases/folks-ofono-backend)                                             | Reading contacts from 3G modem SIM card.                                                                                                                                                                                                                                                                   | Not Integrated | N/A         | N/A               | N/A           | N/A           | NOT TESTED | NOT TESTED   | N/A       |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| [folks-search-contacts](https://wiki.apertis.org/QA/Test%20Cases/folks-search-contacts)                                         | Ensures that Folks can correctly search contacts.                                                                                                                                                                                                                                                          | Integrated     | N/A         | N/A               | N/A           | N/A           | NOT TESTED | NOT TESTED   | N/A       |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| [abstract-contact-addressbook-creation](https://wiki.apertis.org/QA/Test%20Cases/abstract-contact-addressbook-creation)         | A way to be able to create abstract addressbook is needed in SyncEvolution, so that separate addressbooks can be created for each paired device.                                                                                                                                                           | Integrated     | N/A         | N/A               | N/A           | N/A           | NOT TESTED | NOT TESTED   | N/A       |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| [folks-sync-only](https://wiki.apertis.org/QA/Test%20Cases/folks-sync-only)                                                     | Test SYNCHRONIZE_ONLY flag for persona stores in Folks.                                                                                                                                                                                                                                                   | Integrated     | N/A         | N/A               | N/A           | N/A           | N/A        | N/A          | N/A       |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| [storage-arbitrary-data-contacts](https://wiki.apertis.org/QA/Test%20Cases/storage-of-arbitrary-data-in-contacts)               | Support for storing arbitrary data in contacts in Folks.                                                                                                                                                                                                                                                   | Integrated     | N/A         | N/A               | N/A           | N/A           | NOT TESTED | NOT TESTED   | N/A       |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| **Multimedia**                                                                                                                  |                                                                                                                                                                                                                                                                                                            |                |             |                   |               |               |            |              |           |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| [webkit2gtk-gstreamer1.0](https://wiki.apertis.org/QA/Test%20Cases/webkit2gtk-gstreamer1.0)                                     | Tests html5 video playback with GStreamer 1.0 in WebKit2GTK                                                                                                                                                                                                                                                | Not Integrated | N/A         | N/A               | N/A           | N/A           | NOT TESTED | NOT TESTED   | N/A       |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| [traffic-control-basic](https://wiki.apertis.org/QA/Test%20Cases/traffic-control-basic)                                         | Test basic traffic control support. This test does not use tcmmd but it could catch missing support in the kernel or misbehaving traffic control.                                                                                                                                                          | Not Integrated | N/A         | N/A               | N/A           | N/A           | NOT TESTED | NOT TESTED   | N/A       |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| [video-animation-on-boot](https://wiki.apertis.org/QA/Test%20Cases/video-animation-on-boot)                                     | Test whether Plymouth is able to display a graphical theme.                                                                                                                                                                                                                                                | Not Integrated | N/A         | N/A               | N/A           | N/A           | PASSED     | PASSED       | N/A       | sagar               |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| **Robustness**                                                                                                                  |                                                                                                                                                                                                                                                                                                            |                |             |                   |               |               |            |              |           |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| [glib-gio-fs](https://wiki.apertis.org/QA/Test%20Cases/glib-gio-fs)                                                             | Run the GLib gio tests that do I/O on the local filesystem.                                                                                                                                                                                                                                                | Integrated     | PASSED      | PASSED            | PASSED        | PASSED        | PASSED     | PASSED       | N/A       | andrewsh            | [56](https://lava.collabora.co.uk/scheduler/job/1329563) [57](https://lava.collabora.co.uk/scheduler/job/1341022) [58](https://lava.collabora.co.uk/scheduler/job/1341024) [59](https://lava.collabora.co.uk/scheduler/job/1341151) [60](https://lava.collabora.co.uk/scheduler/job/1341123) [61](https://lava.collabora.co.uk/scheduler/job/1341159) [62](https://lava.collabora.co.uk/scheduler/job/1341116)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           |
| **Security**                                                                                                                    |                                                                                                                                                                                                                                                                                                            |                |             |                   |               |               |            |              |           |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| [apparmor](https://wiki.apertis.org/QA/Test%20Cases/apparmor)                                                                   | Functional testing for AppArmor functionalities.                                                                                                                                                                                                                                                           | Integrated     | N/A         | N/A               | N/A           | N/A           | bgcolor= | | bgcolor= |   | N/A       |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| [apparmor-chaiwala-system](https://wiki.apertis.org/QA/Test%20Cases/apparmor-chaiwala-system)                                   | Test that AppArmor's system wide rules works according to Apertis security goals.                                                                                                                                                                                                                          | Integrated     | N/A         | N/A               | N/A           | N/A           | PASSED     | PASSED       | N/A       | andrewsh            | [63](https://lava.collabora.co.uk/scheduler/job/1341125) [64](https://lava.collabora.co.uk/scheduler/job/1341161)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| [apparmor-functional-demo](https://wiki.apertis.org/QA/Test%20Cases/apparmor-functional-demo)                                   | Show some main AppArmor functionalities, like transitions, net access or resource permissions, under the form of tests.                                                                                                                                                                                    | Integrated     | NOT TESTED  | NOT TESTED        | NOT TESTED    | NOT TESTED    | NOT TESTED | NOT TESTED   | N/A       |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| [apparmor-utils](https://wiki.apertis.org/QA/Test%20Cases/apparmor-utils)                                                       | Test apparmor_parser and other tools in apparmor package can be executed.                                                                                                                                                                                                                                 | Integrated     | NOT TESTED  | NOT TESTED        | NOT TESTED    | NOT TESTED    | NOT TESTED | NOT TESTED   | N/A       |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| [apparmor-session-lockdown-no-deny](https://wiki.apertis.org/QA/Test%20Cases/apparmor-session-lockdown-no-deny)                 | Test that the session lockdown profile is not blocking more than it should                                                                                                                                                                                                                                 | Integrated     | NOT TESTED  | NOT TESTED        | NOT TESTED    | NOT TESTED    | NOT TESTED | NOT TESTED   | N/A       |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| [apparmor-gstreamer1.0](https://wiki.apertis.org/QA/Test%20Cases/apparmor-gstreamer1.0)                                         | Test that AppArmor profiles provided in GStreamer 1.0 works without Auditd complaining                                                                                                                                                                                                                     | Integrated     | N/A         | N/A               | N/A           | N/A           | PASSED     | PASSED       | N/A       | andrewsh            | [65](https://lava.collabora.co.uk/scheduler/job/1333238) [66](https://lava.collabora.co.uk/scheduler/job/1341125) [67](https://lava.collabora.co.uk/scheduler/job/1341161)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               |
| [apparmor-pulseaudio](https://wiki.apertis.org/QA/Test%20Cases/apparmor-pulseaudio)                                             | Test that AppArmor profiles provided in PulseAudio 2.1 work without Auditd complaining.                                                                                                                                                                                                                    | Integrated     | NOT TESTED  | NOT TESTED        | NOT TESTED    | NOT TESTED    | NOT TESTED | NOT TESTED   | N/A       |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| [apparmor-bluez-automated](https://wiki.apertis.org/QA/Test%20Cases/apparmor-bluez-automated)                                   | Test AppArmor profile for support for SPP profile (bluez-spp) and core functionalities (bluez-core).                                                                                                                                                                                                       | Not Integrated | N/A         | N/A               | N/A           | N/A           | PASSED     | PASSED       | N/A       | sagar               |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| [apparmor-bluez-avrcp-volume](https://wiki.apertis.org/QA/Test%20Cases/apparmor-bluez-avrcp-volume)                             | Test AppArmor profile for Bluez AVRCP volume up and down commands.                                                                                                                                                                                                                                         | Not Integrated | N/A         | N/A               | N/A           | N/A           | NOT TESTED | NOT TESTED   | N/A       |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| [apparmor-bluez-setup](https://wiki.apertis.org/QA/Test%20Cases/apparmor-bluez-setup)                                           | Test AppArmor profiles for setting up of Bluetooth stack by running basic tests using hciconfig. Check if the interface can be brought up/down, can be changed of mode and can discover devices.                                                                                                           | Not Integrated | N/A         | N/A               | N/A           | N/A           | PASSED     | PASSED       | N/A       | sagar               |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| [apparmor-folks](https://wiki.apertis.org/QA/Test%20Cases/apparmor-folks)                                                       | Test that AppArmor profiles provided in Folks package work without unexpected auditd log entries.                                                                                                                                                                                                          | Integrated     | NOT TESTED  | NOT TESTED        | NOT TESTED    | NOT TESTED    | NOT TESTED | NOT TESTED   | N/A       |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| [apparmor-geoclue](https://wiki.apertis.org/QA/Test%20Cases/apparmor-geoclue)                                                   | Test that geoclue apparmor profiles are working properly                                                                                                                                                                                                                                                   | Integrated     | NOT TESTED  | NOT TESTED        | NOT TESTED    | NOT TESTED    | NOT TESTED | NOT TESTED   | N/A       |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| [apparmor-ofono](https://wiki.apertis.org/QA/Test%20Cases/apparmor-ofono)                                                       | Test that AppArmor profiles provided in ofono package work without unexpected auditd log entries.                                                                                                                                                                                                          | Not Integrated | N/A         | N/A               | N/A           | N/A           | NOT TESTED | NOT TESTED   | N/A       |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| [apparmor-tracker](https://wiki.apertis.org/QA/Test%20Cases/apparmor-tracker)                                                   | Tests that the tracker abstraction and tracker profiles don't cause false negatives and that it does not allow arbitrary reading of files in the home directory.                                                                                                                                           | Integrated     | NOT TESTED  | NOT TESTED        | NOT TESTED    | NOT TESTED    | NOT TESTED | NOT TESTED   | N/A       |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| [apparmor-tumbler](https://wiki.apertis.org/QA/Test%20Cases/apparmor-tumbler)                                                   | Tests that the tumbler profile doesn't cause false negatives and that it does not allow arbitrary reading of files in the home directory.                                                                                                                                                                  | Integrated     | NOT TESTED  | NOT TESTED        | NOT TESTED    | NOT TESTED    | NOT TESTED | NOT TESTED   | N/A       |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| [iptables-basic](https://wiki.apertis.org/QA/Test%20Cases/iptables-basic)                                                       | Test the firewall automatically.                                                                                                                                                                                                                                                                           | Integrated     | PASSED      | PASSED            | PASSED        | PASSED        | PASSED     | PASSED       | N/A       | andrewsh            | [68](https://lava.collabora.co.uk/scheduler/job/1341022) [69](https://lava.collabora.co.uk/scheduler/job/1341024) [70](https://lava.collabora.co.uk/scheduler/job/1341151) [71](https://lava.collabora.co.uk/scheduler/job/1341123) [72](https://lava.collabora.co.uk/scheduler/job/1341159) [73](https://lava.collabora.co.uk/scheduler/job/1341116)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    |
| [iptables-nmap](https://wiki.apertis.org/QA/Test%20Cases/iptables-nmap)                                                         | Test the firewall using nmap from another computer.                                                                                                                                                                                                                                                        | Not Integrated | PASSED      | PASSED            | NOT TESTED    | PASSED        | PASSED     | PASSED       | N/A       | sagar               |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| [apparmor-dbus](https://wiki.apertis.org/QA/Test%20Cases/apparmor-dbus)                                                         | Functional testing for AppArmor D-Bus mediation.                                                                                                                                                                                                                                                           | Integrated     | N/A         | N/A               | N/A           | N/A           | PASSED     | PASSED       | N/A       | andrewsh            | [74](https://lava.collabora.co.uk/scheduler/job/1341125) [75](https://lava.collabora.co.uk/scheduler/job/1341161)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| **System Update**                                                                                                               |                                                                                                                                                                                                                                                                                                            |                |             |                   |               |               |            |              |           |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| [last-resort-message](https://wiki.apertis.org/QA/Test%20Cases/last-resort-message)                                             | Test whether U-Boot last resort image is displayed on boot failure                                                                                                                                                                                                                                         | Not Integrated | N/A         | N/A               | N/A           | N/A           | NOT TESTED | N/A          | N/A       |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| [boot-performance-automated](https://wiki.apertis.org/QA/Test%20Cases/boot-performance-automated)                               | Test boot performance.                                                                                                                                                                                                                                                                                     | Integrated     | bgcolor= |  | bgcolor= |        | bgcolor= |    | bgcolor= |    | bgcolor= | | bgcolor= |   | N/A       |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| **Webkit**                                                                                                                      |                                                                                                                                                                                                                                                                                                            |                |             |                   |               |               |            |              |           |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| [webkit2gtk-aligned-scroll](https://wiki.apertis.org/QA/Test%20Cases/webkit2gtk-aligned-scroll)                                 | Test that scrolling is pinned in a given direction when started mostly towards it.                                                                                                                                                                                                                         | Not Integrated | N/A         | N/A               | N/A           | N/A           | NOT TESTED | NOT TESTED   | N/A       |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| [webkit2gtk-lazy-click](https://wiki.apertis.org/QA/Test%20Cases/webkit2gtk-lazy-click)                                         | Test touch adjustment (lazy click) support in WebKit2GTK                                                                                                                                                                                                                                                   | Not Integrated | N/A         | N/A               | N/A           | N/A           | NOT TESTED | NOT TESTED   | N/A       |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| [webkit2gtk-drag-and-drop](https://wiki.apertis.org/QA/Test%20Cases/webkit2gtk-drag-and-drop)                                   | Test HTML5 drag-and-drop support in WebKit2GTK                                                                                                                                                                                                                                                             | Not Integrated | N/A         | N/A               | N/A           | N/A           | NOT TESTED | NOT TESTED   | N/A       |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| [webkit2gtk-contextual-zoom](https://wiki.apertis.org/QA/Test%20Cases/webkit2gtk-contextual-zoom)                               | This test case is about zooming parts of a web page to make it easier to read on devices with limited screen area. The scope of the test is the zooming functionality that takes into account the content in the clicked area, other functionality that belongs to a real browser isn't to be tested here. | Not Integrated | N/A         | N/A               | N/A           | N/A           | NOT TESTED | NOT TESTED   | N/A       |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
|                                                                                                                                 |                                                                                                                                                                                                                                                                                                            |                |             |                   |               |               |            |              |           |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
|                                                                                                                                 |                                                                                                                                                                                                                                                                                                            |                |             |                   |               |               |            |              |           |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
|                                                                                                                                 | PASSED - All tests passed.                                                                                                                                                                                                                                                                                 |                |             |                   |               |               |            |              |           |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
|                                                                                                                                 | PARTIAL - Tests mostly passed, with some minor problems.                                                                                                                                                                                                                                                   |                |             |                   |               |               |            |              |           |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
|                                                                                                                                 | FAILED - One or more tests failed.                                                                                                                                                                                                                                                                         |                |             |                   |               |               |            |              |           |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
|                                                                                                                                 | NOT TESTED - Test not run due to some issue, like WIP, Disabled, lacking proper hardware.                                                                                                                                                                                                                  |                |             |                   |               |               |            |              |           |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
|                                                                                                                                 |                                                                                                                                                                                                                                                                                                            |                |             |                   |               |               |            |              |           |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
|                                                                                                                                 |                                                                                                                                                                                                                                                                                                            |                |             |                   |               |               |            |              |           |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
|                                                                                                                                 | CRITICAL test case - release blocker                                                                                                                                                                                                                                                                       |                |             |                   |               |               |            |              |           |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
|                                                                                                                                 | HIGH priority test case - must be tested every week                                                                                                                                                                                                                                                        |                |             |                   |               |               |            |              |           |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
|                                                                                                                                 | MEDIUM priority test case - must be tested at least every other week                                                                                                                                                                                                                                       |                |             |                   |               |               |            |              |           |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
|                                                                                                                                 | LOW priority test case - test when possible                                                                                                                                                                                                                                                                |                |             |                   |               |               |            |              |           |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
|                                                                                                                                 |                                                                                                                                                                                                                                                                                                            |                |             |                   |               |               |            |              |           |                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |

[Category:QA/Test report]( {{< ref "/category_qa/test_report.md" >}} )
[Category:QA/OSTree test
report]( {{< ref "/category_qa/ostree_test_report.md" >}} ) [Category:QA/Test
report/{{\#rel2abs:
../../../.}}]()